## r-cran-elliptic 1.3

=== DESCRIPTION ===
Package: elliptic
Version: 1.3-9
Date: 2018-08-03
Title: Weierstrass and Jacobi Elliptic Functions
Author: Robin K. S. Hankin
Depends: R (>= 2.5.0)
Imports: MASS
Suggests: emulator, calibrator
SystemRequirements: pari/gp
Description: 
 A suite of elliptic and related functions including Weierstrass and
 Jacobi forms.  Also includes various tools for manipulating and
 visualizing complex functions.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
URL: https://github.com/RobinHankin/elliptic.git
BugReports: https://github.com/RobinHankin/elliptic/issues
NeedsCompilation: no
Packaged: 2018-08-03 07:23:33 UTC; rhankin
Repository: CRAN
Date/Publication: 2018-08-03 10:10:12 UTC

## r-cran-elliptic 1.3-5

=== debian/changelog ===
r-cran-elliptic (1.3-5-1) unstable; urgency=low

  * Initial release. (Closes: #797202)

 -- Jonathon Love <jon@thon.cc>  Fri, 28 Aug 2015 15:42:27 +0200

=== debian/control ===
Source: r-cran-elliptic
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-mass
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-elliptic.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-elliptic.git
Homepage: http://cran.r-project.org/package=elliptic

Package: r-cran-elliptic
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-base,
         r-cran-mass
Description: GNU R package providing elliptic and related functions
 The elliptic package is a GNU R package providing a suite of elliptic
 and related functions including Weierstrass and Jacobi forms. Also
 includes various tools for manipulating and visualizing complex
 functions.

## r-cran-elliptic 1.3-7

=== debian/changelog ===
r-cran-elliptic (1.3-7-2) unstable; urgency=medium

  * Team upload.
  * Rebuid for r-api-3.4 transition.
  * Bump to debhelper compat level 10.
  * Bump d/watch to file format version 4.
  * Bump to Standards-Version 4.1.1.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 29 Sep 2017 22:01:09 +0200

r-cran-elliptic (1.3-7-1) unstable; urgency=medium

  * Team upload.
  * New upstream revision
  * Convert to debhelper
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 14:06:38 +0100

=== debian/control ===
Source: r-cran-elliptic
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-mass
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-elliptic.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-elliptic.git
Homepage: http://cran.r-project.org/package=elliptic

Package: r-cran-elliptic
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package providing elliptic and related functions
 The elliptic package is a GNU R package providing a suite of elliptic
 and related functions including Weierstrass and Jacobi forms. Also
 includes various tools for manipulating and visualizing complex
 functions.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/elliptic_([\d\.-]*).tar.gz

## r-cran-elliptic 1.3-9

=== debian/changelog ===
r-cran-elliptic (1.3-9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Sun, 05 Aug 2018 14:34:47 +0200

r-cran-elliptic (1.3-7-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 07:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: r-cran-elliptic
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-mass
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-elliptic.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-elliptic.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-elliptic
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-elliptic.git
 Homepage: http://cran.r-project.org/package=elliptic
 
 Package: r-cran-elliptic

## r-cran-elliptic 1.4

=== DESCRIPTION ===
Package: elliptic
Version: 1.4-0
Title: Weierstrass and Jacobi Elliptic Functions
Authors@R: person(given=c("Robin", "K. S."), family="Hankin", role = c("aut","cre"), email="hankin.robin@gmail.com", comment = c(ORCID = "0000-0001-5982-0415"))
Depends: R (>= 2.5.0)
Imports: MASS
Suggests: emulator, calibrator (>= 1.2-8)
SystemRequirements: pari/gp
Description: 
 A suite of elliptic and related functions including Weierstrass and
 Jacobi forms.  Also includes various tools for manipulating and
 visualizing complex functions.
Maintainer: Robin K. S. Hankin <hankin.robin@gmail.com>
License: GPL-2
URL: https://github.com/RobinHankin/elliptic.git
BugReports: https://github.com/RobinHankin/elliptic/issues
NeedsCompilation: no
Packaged: 2019-03-14 00:30:29 UTC; rhankin
Author: Robin K. S. Hankin [aut, cre] (<https://orcid.org/0000-0001-5982-0415>)
Repository: CRAN
Date/Publication: 2019-03-14 06:10:02 UTC

## r-cran-elliptic 1.4-0

=== debian/changelog ===
r-cran-elliptic (1.4-0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 16:08:36 +0200

r-cran-elliptic (1.4-0-1) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Andreas Tille ]
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jul 2019 12:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-mass
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-elliptic
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-elliptic.git
-Homepage: http://cran.r-project.org/package=elliptic
+Homepage: https://cran.r-project.org/package=elliptic
+Rules-Requires-Root: no
 
 Package: r-cran-elliptic
 Architecture: all

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/elliptic_([\d\.-]*).tar.gz

## r-cran-elliptic 1.5-1

=== debian/changelog ===
r-cran-elliptic (1.5-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 23 Dec 2025 09:31:53 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-mass
-Standards-Version: 4.5.0
+               r-cran-mass,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-elliptic
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-elliptic.git
 Homepage: https://cran.r-project.org/package=elliptic

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-hypergeo
Restrictions: allow-stderr
